import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../components/shared/home.vue'

import Registration from '../components/accounts/register.vue'
import Login from '../components/accounts/login.vue'
import RegisterRestaurant from '../components/accounts/restaurantRegistration.vue'

Vue.use(VueRouter)

const routes = [
	{
		path: '/',
		name: 'Home',
		component: Home,
	},
	{
		path: '/Registration',
		name: 'Registration',
		component: Registration,
	},
	{
		path: '/Login',
		name: 'Login',
		component: Login,
	},
	{
		path: '/RegisterRestaurant',
		name: 'RegisterRestaurant',
		component: RegisterRestaurant,
	},
]

const router = new VueRouter({
	routes,
})

export default router
