import axios from 'axios'
import { sha256 } from 'js-sha256'

export default {
	namespaced: true,
	state: {
		user: {},
	},
	mutations: {
		addUser(state, user) {
			state.user = user
		},
	},
	getters: {},
	actions: {
		getUser({ commit }, userID) {
			axios
				.get(`/api/user/${userID}`)
				.then((result) => commit('addUser', result.data))
				.catch(console.error)
		},
		regUser({ commit }, user) {
			user.password = sha256(user.password + '≡∆≤≥√∞ProVision')
			axios
				.post('/api/user', user)
				.then((result) => commit('addUser', result.data))
				.catch(console.error)
		},
	},
}
